in scala.collection.immutable
class TreeSet

[scala.serializable]
`class` TreeSet [A]
  `extends` scala.collection.immutable.Tree[A, A]
  `with` scala.collection.immutable.Set[A]
  `with` scala.ScalaObject

  This class implements immutable sets using a tree.

Author:
  Matthias Zenger
Author:
  Burak Emir
Version:
  1.1, 03/05/2004

Constructor Summary
| `def` this ()(view$0: scala.Function1[A, scala.Ordered[A]])

Type Summary
`override` `protected` | `type` This

Def Summary
| `def` + (elem: A) : scala.collection.immutable.TreeSet[A] This method creates a new set with an additional element.
| `def` - (elem: A) : scala.collection.immutable.TreeSet[A] `-` can be used to remove a single element from a set.
`protected` | `def` New (sz: scala.Int, t: scala.collection.immutable.GBTree[A, A]) : scala.collection.immutable.TreeSet[A]
| `def` contains (elem: A) : scala.Boolean Checks if this set contains element `elem`.
| `def` elements : scala.Iterator[A] Creates a new iterator over all elements contained in this object.
`override` | `def` empty [B] : scala.collection.immutable.Set[B]
| `def` emptyTreeSet : scala.collection.immutable.TreeSet[A]
`override` | `def` equals (obj: scala.Any) : scala.Boolean Compares two sets for equality. Two set are equal iff they contain the same elements.
`override` `protected` | `def` getThis : scala.collection.immutable.TreeSet[A]
`override` | `def` toList : scala.List[A] Transform this set into a list of all elements.

Constructor Detail

`def` this ()(view$0: scala.Function1[A, scala.Ordered[A]])

Type Detail

`override protected type` This

Def Detail

`def` + (elem: A): scala.collection.immutable.TreeSet[A]

  This method creates a new set with an additional element.

Parameters:
  `elem -` ...
Returns:
  ...

`def` - (elem: A): scala.collection.immutable.TreeSet[A]

  `-` can be used to remove a single element from a set.

`protected def` New (sz: scala.Int, t: scala.collection.immutable.GBTree[A, A]): scala.collection.immutable.TreeSet[A]

`def` contains (elem: A): scala.Boolean

  Checks if this set contains element `elem`.

Parameters:
  `elem -` the element to check for membership.
Returns:
  true, iff `elem` is contained in this set.

`def` elements : scala.Iterator[A]

  Creates a new iterator over all elements contained in this object.

Returns:
  the new iterator

`override def` empty [B]: scala.collection.immutable.Set[B]

`def` emptyTreeSet : scala.collection.immutable.TreeSet[A]

`override def` equals (obj: scala.Any): scala.Boolean

  Compares two sets for equality. Two set are equal iff they contain the same elements.

`override protected def` getThis : scala.collection.immutable.TreeSet[A]

`override def` toList : scala.List[A]

  Transform this set into a list of all elements.

Returns:
  a list which enumerates all elements of this set.